
local LIB_IDENTIFIER, LIB_VERSION = "LibSeasonalEventManager", 01
if _G[LIB_IDENTIFIER] and _G[LIB_IDENTIFIER].version > LIB_VERSION then
	return
end

local lib = _G[LIB_IDENTIFIER]

---------------------------------------------------------------------------
-- Event locals
---------------------------------------------------------------------------
local l_EVENT_NONE			= lib.constants.currentEventNone
local l_EVENT_TYPE_NONE		= lib.constants.eventTypeNone
local l_REWARDS_BY_NONE		= lib.constants.rewardsByNone

local defaultEventInfo = {
	['index'] 		= l_EVENT_NONE,
	['eventType'] 	= l_EVENT_TYPE_NONE,
	['rewardsBy'] 	= l_REWARDS_BY_NONE,
}

---------------------------------------------------------------------------
-- Event class
---------------------------------------------------------------------------
local event_class = ZO_InitializingObject:Subclass()

function event_class:Initialize(eventInfo)
	zo_mixin(self, eventInfo)
	
	if self.index then
		self.title = GetString('SI_LIB_EVENTS_MANAGER_TITLE', self.index)
		self.description = GetString('SI_LIB_EVENTS_MANAGER_DESCRIPTION', self.index)
	end
end

function event_class:GetIndex()
	return self.index
end

function event_class:GetType()
	return self.eventType
end

function event_class:GetRewardsBy()
	return self.rewardsBy
end

function event_class:GetMaxDailyRewards()
	return self.maxDailyRewards or 0
end

function event_class:IsSameEvent(eventIndex)
	return self.index == eventIndex
end

function event_class:GetTitle()
	return self.title
end

function event_class:GetDescription()
	return self.description
end

function event_class:GetInfo()
	return self.title, self.description
end

function event_class:SetEventType(eventType)
	self.eventType = eventType
end

lib.defaultEvent = event_class:New(defaultEventInfo)
lib.event_class = event_class

--	local newEvent = self.event_class:New(eventInfo)

