------------------------------------------------
-- English localization for LibSeasonalEventManager
------------------------------------------------
-- All strings must be in order they are listed in Events and, must contain the same number of entries.

local formatter = '<<1>> <<2>>'
local lib = _G["LibSeasonalEventManager"]
lib.strings = {}

lib.strings.titles = {
	zo_strformat(formatter, 'UnKnown', event),
	
	zo_strformat(formatter, 'The Anniversary Jubilee'),
	zo_strformat(formatter, 'The Jester\'s Festival'),
	zo_strformat(formatter, 'Whitestrake\'s Mayhem Celebration'),
	zo_strformat(formatter, 'The Witch\'s Festival'),

	zo_strformat(formatter, 'New Life Festival'),
	zo_strformat(formatter, 'Undaunted Celebration'),
	zo_strformat(formatter, 'Season of the Dragon Celebration'),
	zo_strformat(formatter, 'Daedric War Celebration Event'),
	zo_strformat(formatter, 'Zeal of Zenithar'),
	zo_strformat(formatter, 'Dark Heart of Skyrim Celebration'),

--	'Explorer's Celebration',
	
-- Battlegrounds weekends must be at the end for establishing strings.
--	zo_strformat(formatter, 'Battlegrounds: Chaos Ball PVP Weekend', event),
--	zo_strformat(formatter, 'Battlegrounds: Crazy King PVP Weekend', event),
--	zo_strformat(formatter, 'Battlegrounds: Capture The Relic PVP Weekend', event),
--	zo_strformat(formatter, 'Battlegrounds: Deathmatch PVP Weekend', event),
--	zo_strformat(formatter, 'Battlegrounds: Domination PVP Weekend', event),
}

local defaultDescription = 'During this event players can obtain a 100% XP buff and the opportunity to acquire Event Tickets and <<1>>'
local battlegroundsString = 'This event enables the <<1>> mode for the duration, and all Battlegrounds matches had a 25% bonus to Alliance Points earned.'

lib.strings.descriptions = {
	'This is an unknown event. That means it was not detectable by map pins and, has yet to be detected by loot item or quest.',
	zo_strformat(defaultDescription, 'a variety of other items.'),
	zo_strformat(defaultDescription, 'a collection of Jester-themed items.'),
	'Whitestrake\'s Mayhem Celebration.',
	zo_strformat(defaultDescription, 'a collection of Witches Festival-themed items.'),
	zo_strformat(defaultDescription, 'a collection of New Life Festival-themed items.'),
	'This event is centered around the Undaunted faction, teaming up with other players and completing Group Dungeons. The first final dungeon boss you defeat in a day will drop Event Tickets and a special Glorious Undaunted Reward Box.',
	'During this event you will receive bonus loot, rewards and Event Tickets from exploring and questing within the Northern and Southern Elsweyr zones.',
	'The main feature of this event is numerous drops in Vvardenfell, the Clockwork City, Summerset, and Artaeum being doubled, including: Halls of Fabrication, Asylum Sanctorium, and Cloudrest Trial Bosses, Daily Delve and World Boss quest rewards, and crafting nodes.',
	'Complete any one of the goals of the daily quest Honest Toil to acquire Event Tickets and a gold-quality reward box: Zenithar\'s Sublime Parcel. Throughout the event you have a chance to receive purple-quality reward coffers, Zenithar\'s Delightful Parcels, through the various activities.',
	'The main feature of this event is numerous drops in Western Skyrim and the Reach being doubled, including: Kyne\'s Aegis and Vateshran Hollows, Trial Bosses, Daily Delve and World Boss quest rewards, and crafting nodes. Additionally, all bosses from the aforementioned trials, Icereach, Unhallowed Grave, Castle Thorn, and Stone Garden and the Delve and World Bosses will also drop additional loot.',

-- Battlegrounds weekends must be at the end for establishing strings.
--	zo_strformat(battlegroundsString, 'Chaos Ball'),
--	zo_strformat(battlegroundsString, 'Crazy King'),
--	zo_strformat(battlegroundsString, 'Capture the Relic'),
--	zo_strformat(battlegroundsString, 'Deathmatch'),
--	zo_strformat(battlegroundsString, 'Domination'),
}

